Loading...
Searching...
No Matches
bsoncxx::v_noabi::types::b_bool Struct Reference

`#include <bsoncxx/v_noabi/bsoncxx/types.hpp>`

## Description

A BSON boolean value.

## Public Member Functions

| operator bool () const
| Conversion operator unwrapping a bool.

## Related Symbols

(Note that these are not member symbols.)
bool | operator!= (b_bool const &lhs, b_bool const &rhs)
| free function comparator for b_bool
bool | operator== (b_bool const &lhs, b_bool const &rhs)
| free function comparator for b_bool

## Member Function Documentation

## operator bool()

bsoncxx::v_noabi::types::b_bool::operator bool | ( |  | ) | const

inline

Conversion operator unwrapping a bool.

## Friends And Related Symbol Documentation

## operator!=()

bool operator!= | ( | b_bool const & | lhs,
|  | b_bool const & | rhs )

related

free function comparator for b_bool

## operator==()

bool operator== | ( | b_bool const & | lhs,
|  | b_bool const & | rhs )

related

free function comparator for b_bool

The documentation for this struct was generated from the following file:

- bsoncxx/v_noabi/bsoncxx/types.hpp